package com.huatek.busi.service;

import com.huatek.busi.dto.RParamBasicDataDto;
import com.huatek.busi.vo.DeviceSubclassOrTestItemListVo;
import com.huatek.busi.vo.RParamBasicDataVo;
import com.huatek.busi.where.RParamBasicDataSelectVo;

import java.util.List;
import java.util.Map;

public interface IRParamBasicDataService {

    Map<String, Object> mainList(RParamBasicDataSelectVo rParamBasicDataSelectVo);

    Map<String, Object> saveOrUpdate(String token, RParamBasicDataVo rParamBasicDataVo);

    Map<String, Object> findOne(String token, String id);

    Map<String, Object> delete(String token, List<String> ids);

    RParamBasicDataDto findByParamValue(String testItem);

    int insert(RParamBasicDataDto rParamBasicDataDto);

    RParamBasicDataDto findBySystemCodeAndTestItem(String systemCode, String testItem);

    List<DeviceSubclassOrTestItemListVo> testItemList(String equType);
}
